import { apiCode } from '../config/code'

export default (config = {}) => {
  return new Promise((resolve, reject) => {
    wx.request({
      url: config.url,
      method: config.method,
      data: config.data,
      success(res) {
        if (res.statusCode && res.statusCode === apiCode.success) {
          resolve(res.data)
        } else {
          reject(res.data.message + "失败")
        }
      },
      error(msg) {
        reject(msg)
      }
    })
  })
}
